<!DOCTYPE html>
<html 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorator="/app/clientes/layout"
	xmlns:dt="http://github.com/dandelion/datatables"	
>
<head>
<meta charset="utf-8">
<title>Lista de Clientes</title>
</head>
<body>
	<section layout:fragment="content">
		<div class="container">
			<br/><br/>
			<form id="grillaForm" th:object="${listaClientes}"
					class="custom-form" th:action="@{'/app/clientes/nuevo'}"
					th:method="@{'POST'}">
					<input type="hidden" th:id="@{'idExpo'}" th:name="@{'idExpo'}" value=""/>
					<div class="panel panel-primary lg">
						<div class="panel-heading">Listado de Clientes
						</div>
						<div class="table-responsive">
							<table id="tablaExpos" dt:table="true"
								class="table table-striped" dt:dom="'t'">
								<thead>
									<tr>
										<th th:text="@{'Acciones'}">
										</th>
										<th th:text="@{'Nombre'}">
										</th>
										<th th:text="@{'Nro. Doc'}">
										</th>
										<th th:text="@{'Telefono'}">
										</th>
										<th th:text="@{'Contacto'}">
										</th>
										<th th:text="@{'Fecha Creacion'}">
										</th>
										<th th:text="@{'Activo'}">
										</th>
									</tr>
								</thead>
								<tbody>
									<tr class="odd" th:if="${#lists.isEmpty(listaClientes)}">
										<td class="dataTables_empty" valign="top" colspan="8"
											th:text="${'No se encontraron datos'}"></td>
									</tr>
									<tr th:each="x, rowStat : ${listaClientes}">
										<td align="center" width="20%">
											<button type="button" class="btn btn-primary"
												name="edit" title="Editar Cliente"
												th:value="${rowStat.index}" th:onclick="'editar(\'' + ${x.idCliente} + '\')'"
												data-th-alt="Editar" th:if="${x.correo == null}">
												<span class="glyphicon glyphicon-edit"></span> 
											</button>
											<button type="submit" class="btn btn-info" 
												name="view" title="Visualizar Cliente"
												th:value="${rowStat.index}" 
												th:onclick="'showEditModal(\'' + ${x.idCliente} + '\', \'' + ${x.nombre} + '\',
												\'' + ${x.ciRuc} + '\', \'' + ${x.telefono} + '\',
												\'' + ${x.contacto} + '\', \'' + ${x.fechaCreacion} + '\', 
												\'' + ${x.activo} + '\')'"
												data-toggle="modal" data-target="#editClienteModal" data-th-alt="Ver">
												<span class="glyphicon glyphicon-eye-open"></span> 
											</button>
											<button type="button" class="btn btn-danger"
												name="delete" title="Eliminar Cliente"
												th:value="${rowStat.index}" 
												th:onclick="'eliminar(\'' + ${x.idCliente} + '\')'"
												data-th-alt="Eliminar" th:if="${x.correo == null}">
												<span class="glyphicon glyphicon-trash"></span> 
											</button>
										</td>
										<td th:text="${x.nombre}"></td>
										<td th:text="${x.ciRuc}"></td>
										<td th:text="${x.telefono}"></td>
										<td th:text="${x.contacto}"></td>
										<td th:text="${x.fechaCreacion}"></td>
										<td th:text="${x.activo}"></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
			</form>
		</div>
	</section>
</body>
</html>